Summary:	Power saving diagnostic tool
Name:		powertop
Version:	2.15
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://01.org/powertop
Source0:	https://github.com/fenrus75/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	powertop.service
Source2:	powertop2.sh
Source3:	powertop.sysconfig
# From FC
Patch0:		powertop-2.7-always-create-params.patch
BuildRequires:	autoconf
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(zlib)

Requires(post):	rpm-helper >= %{rpmhelper_required_version}
Requires(preun):rpm-helper >= %{rpmhelper_required_version}

%description
PowerTOP tool is a program that collects the various pieces of
information from a system and presents an overview of how well a
laptop is doing in terms of power savings. In addition, PowerTOP will
provide an indication of which tunables and software components are
the biggest offenders in slurping up battery time. PowerTOP will
update it's display frequently so that the impact of any changes can
be seen directly.

%prep
%autosetup -p1 

%build
# workaround for rhbz#1826935
autoreconf -fi || autoreconf -fi
%configure
%make_build

%install
%make_install
# Hack for powertop not to show warnings on first start
install -Dd %{buildroot}%{_localstatedir}/cache/powertop
touch %{buildroot}%{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop}

# Systemd
install -Dpm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/powertop
install -Dpm 755 %{SOURCE2} %{buildroot}%{_sbindir}/powertop.sh
install -Dpm 644 %{SOURCE1} %{buildroot}%{_unitdir}/powertop.service

%find_lang %{name}

# Service that autotunes system settings for powersave
%post
%_post_service %{name}
# Hack for powertop not to show warnings on first start
touch %{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop} &> /dev/null || :

%preun
%_preun_service %{name}


%files -f %{name}.lang
%doc README.md TODO CONTRIBUTE.md
%license COPYING
%dir %{_localstatedir}/cache/powertop
%ghost %{_localstatedir}/cache/%{name}/saved_parameters.powertop
%ghost %{_localstatedir}/cache/%{name}/saved_results.powertop
%{_sbindir}/%{name}
%{_sbindir}/%{name}.sh
%{_mandir}/man8/%{name}.*
%{_unitdir}/powertop.service
%config(noreplace) %{_sysconfdir}/sysconfig/powertop
%{_datadir}/bash-completion/completions/powertop


%changelog
* Wed Oct 19 2022 ghibo <ghibo> 2.15-2.mga9
+ Revision: 1897769
- Add missed initials saved_*.powertop in _localstatedir (sync with FC)

* Wed Oct 19 2022 ghibo <ghibo> 2.15-1.mga9
+ Revision: 1897700
- pkgconfig libnl-3.0
- Add missed autoconf-archive to BR.
- Add missed autoconf to BR
- Sync Patch0 with FC
- Sync Patch0 with FC
- Add missed automake to BR
- Remove patch merged upstream
- Update to release 2.15

* Tue Mar 22 2022 danf <danf> 2.14-1.mga9
+ Revision: 1816777
- Update to ver. 2.14

* Wed Jun 24 2020 zezinho <zezinho> 2.13-1.mga8
+ Revision: 1599064
- new version 2.13

* Sun Apr 26 2020 zezinho <zezinho> 2.12-1.mga8
+ Revision: 1572292
- new upstream tarball
- new version

* Sun Feb 16 2020 umeabot <umeabot> 2.11-2.mga8
+ Revision: 1535042
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 08 2019 zezinho <zezinho> 2.11-1.mga8
+ Revision: 1450666
- new version 2.11 - tarball source changed because of strange naming

* Mon Jan 14 2019 zezinho <zezinho> 2.10-1.mga7
+ Revision: 1356879
- new version 2.10

* Fri Oct 19 2018 zezinho <zezinho> 2.9-7.mga7
+ Revision: 1322482
- change script to follow kernel evolution

* Sun Sep 23 2018 umeabot <umeabot> 2.9-6.mga7
+ Revision: 1300361
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 zezinho <zezinho> 2.9-5.mga7
+ Revision: 1238810
- make usb detection more universal

* Tue Jun 05 2018 zezinho <zezinho> 2.9-4.mga7
+ Revision: 1234765
- make it configurable through sysconfig

* Tue Jun 05 2018 zezinho <zezinho> 2.9-3.mga7
+ Revision: 1234758
- fix script permissions

* Tue Jun 05 2018 zezinho <zezinho> 2.9-2.mga7
+ Revision: 1234731
- added script change USB mouse suspend from 2 seconds to 180

* Tue Sep 12 2017 zezinho <zezinho> 2.9-1.mga7
+ Revision: 1153252
- new version

* Wed May 03 2017 zezinho <zezinho> 2.8-2.mga6
+ Revision: 1098797
- enable a powertop service that autotunes systems #20765

* Mon Dec 14 2015 zezinho <zezinho> 2.8-1.mga6
+ Revision: 910516
- new version

* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-3.mga5
+ Revision: 743523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.1-2.mga5
+ Revision: 687755
- Mageia 5 Mass Rebuild

* Sat May 24 2014 tv <tv> 2.6.1-1.mga5
+ Revision: 625345
- new release

* Mon Dec 23 2013 dams <dams> 2.5-1.mga4
+ Revision: 560064
- new version 2.5

* Sat Oct 19 2013 umeabot <umeabot> 2.4-2.mga4
+ Revision: 530539
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 dams <dams> 2.4-1.mga4
+ Revision: 457957
- new version 2.4

* Tue Mar 26 2013 dams <dams> 2.3-1.mga3
+ Revision: 405254
- new version 2.3

* Sun Jan 13 2013 umeabot <umeabot> 2.2-3.mga3
+ Revision: 378138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 dams <dams> 2.2-2.mga3
+ Revision: 322655
- add a patch to fix version (patch from upstream)

* Wed Nov 28 2012 dams <dams> 2.2-1.mga3
+ Revision: 322577
- new version 2.2

* Tue Aug 21 2012 tv <tv> 2.1-1.mga3
+ Revision: 282889
- adjust file list
- new release

* Fri May 11 2012 dams <dams> 2.0-1.mga2
+ Revision: 235322
- new version 2.0

* Tue Mar 20 2012 tmb <tmb> 1.98-2.mga2
+ Revision: 225029
- build with libnl3

* Wed Jul 06 2011 dams <dams> 1.98-1.mga2
+ Revision: 119138
- Update to 1.98

* Thu Feb 24 2011 wally <wally> 1.97-1.mga1
+ Revision: 58978
- use ldflags on build time (P1)
- fix file list
- add more BRs
- add libnl-devel BR
- rediff P1
- new version 1.97
- drop buildroot definition
- imported package powertop


* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13-1mdv2011.0
+ Revision: 563985
- update to new version 1.13
- drop patch 1, fixed by upstream
- pass %%setup_compile_flags
- update file list

* Sun Feb 14 2010 trem <trem@mandriva.org> 1.11-3mdv2010.1
+ Revision: 505901
- add patch to fix the segfault with latest kernel

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.11-2mdv2010.0
+ Revision: 441914
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.11-1mdv2009.1
+ Revision: 332840
- New upstream release

* Mon Jun 16 2008 Funda Wang <fwang@mandriva.org> 1.10-1mdv2009.0
+ Revision: 219465
- New version 1.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.9-2mdv2008.1
+ Revision: 106393
- Rebuild for new lzma

* Sat Nov 03 2007 trem <trem@mandriva.org> 1.9-1mdv2008.1
+ Revision: 105546
- update to 1.9

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 1.8-1mdv2008.0
+ Revision: 75211
- New version 1.8

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2008.0
+ Revision: 41566
- new version

* Tue May 29 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2008.0
+ Revision: 32610
- Patch0: use ncursesw headers
- 1.5
- buildrequires libncursesw-devel (thanks rtp for the hint)

* Tue May 22 2007 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.0
+ Revision: 29668
- 1.3

* Tue May 15 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2008.0
+ Revision: 26906
- add man page

* Tue May 15 2007 Stefan van der Eijk <stefan@mandriva.org> 1.2-1mdv2008.0
+ Revision: 26832
- 1.2

* Mon May 14 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2008.0
+ Revision: 26655
- 1.1 (and add README/Changelog files)

* Sat May 12 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2008.0
+ Revision: 26483
- initial PowerTOP package
- Create powertop

